const { settings } = require('cluster')
const fs = require('fs')

class Config {

    constructor(options = {
        path: './settings.json'
    }) {
        this.path = options.path
        this.json = {}

        if (! fs.existsSync(this.path)) {
            this.save()
        }

        this.open()
    }

    open() {
        this.json = JSON.parse(fs.readFileSync(this.path, 'utf8'))
    }

    set(key, value) {
        this.json[key] = value
    }

    get(key, defaultValue=undefined) {
        return this.json[key] != null ? this.json[key] : defaultValue
    }

    removeKey(key) {
        delete this.json[key]
    }

    save() {
        let s = JSON.stringify(this.json, null, 4)
        fs.writeFileSync(this.path, s)
    }
}

module.exports = Config